Fetch content result [limited]
curl --request GET \
--url https://api.documents.testing.resistant.ai/v2/submission/{submission_id}/content \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.documents.testing.resistant.ai/v2/submission/{submission_id}/content"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.documents.testing.resistant.ai/v2/submission/{submission_id}/content', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESS",
"analysis_time": "<string>",
"file_type": "unsupported",
"mime_type": "<string>",
"deployment_version": "<string>",
"query_id": "<string>",
"sha256": "<string>",
"contents": [
{
"card_generation": "UNKNOWN",
"issuing_country": "<string>",
"id_card_type": "CzeBack2012",
"content_type": "IdCard",
"machine_readable_summary": {
"raw_lines": [
"<string>"
],
"date_of_birth_str": "<string>",
"date_of_expiration_str": "<string>",
"card_no": 123,
"last_name": "<string>",
"first_name": "<string>",
"nationality": "<string>",
"sex": "<string>"
},
"personal_no": "<string>",
"barcode_str": "<string>",
"permanent_stay": "<string>",
"academic_degree": "<string>",
"issued_by": "<string>",
"marital_status": "UNKNOWN"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}API Reference
Fetch content result [limited]
Fetch content extraction result
GET
/
v2
/
submission
/
{submission_id}
/
content
Fetch content result [limited]
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- https://eu.id.resistant.ai/oauth2/aus17c52xbW6c0yA9417/v1/token
Scopes1
submissions.read
Read analysis results for a submission
Path Parameters
Response
Asynchronous processing finished (either with a success or an error). Result of the processing is described by specific response object.
- Content success response
- Pipeline failed
- Unprocessable input entity
- Pipeline was skipped
Available options:
SUCCESS Timestamp of analysis
General type of the input file
Available options:
unsupported, pdf, image Mime type of the input file, e.g. application/pdf, image/jpeg, etc.
Maximum string length:
256Version of quality engine used for analysis
Maximum string length:
256Optional customer-defined identifier for correlating this submission with internal systems. Must not contain PII.
Maximum string length:
2048Sha256 of the input file
Required string length:
64contents
(CZE IdCard Back · object | CZE IdCard Front · object | ZAF IdCard Back · object | THA IdCard Front · object | IND IdCard Front · object | BankAccountStatement · object | Invoice content · object | VrcContent · object | PayslipContent · object)[]
required
- CZE IdCard Back
- CZE IdCard Front
- ZAF IdCard Back
- THA IdCard Front
- IND IdCard Front
- BankAccountStatement
- Invoice content
- VrcContent
- PayslipContent
Show child attributes
Show child attributes
Was this page helpful?